# QSRESPEED

Section: qsrespeed man page (1)
Updated: January 2025
Index Return to Main Contents

## NAME

Tool to compare / estimate the processing time for (Perl-compatible) regular expressions (PCRE).

## SYNOPSIS

qsrespeed <path>

## DESCRIPTION

qsrespeed loads regular expressions from the provided file and matches them against a built-in set of strings measuring the time needed to process them. It's a benchmark too to judge the expressions you have defined regarding the potential CPU consumption.

## OPTIONS

<path>
  Defines the input file to process. The file consists a list of (separated by a newline character) regular expressions to test

## SEE ALSO

qsgeo(1), qslog(1), qsre(1)

## AUTHOR

Pascal Buchbinder, http://mod-qos.sourceforge.net/

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SEE ALSO
AUTHOR